Bug 385721 - gdm hangs when networkmanager and ypbind/autofs/nis/ldap is enabled
gdm hangs when networkmanager and ypbind/autofs/nis/ldap is enabled
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-15 16:27 EST by Marc Karasek
Modified: 2009-01-09 00:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:13:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Karasek 2007-11-15 16:27:15 EST
Description of problem:  
When you enable the ypbind/autofs/nis/ldap and have networkmanager also enabled.
 Gdm will hang until a vaid network connection is established.  You can log into
a command prompt and manually enable eth0 (ifconfig eth0 up; dhclient eth0) and
gdm will then complete and allow you to log in.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Enable autofs, ypbind, nis and/or ldap  
2.  Enanle networkmanger and teh networkmanager dispatcher
3.  Reboot the system.  It will get to the screen with the arrow and the
rotating line.  It will hang here until you login to terminal and manually
enable eth0 (ifconfig eth0 up; dhclient eth0). 
4.  At this point the gdm completes and you can login via root. Logging in via
the user the autofs/ypbind was setup for will not work properly.

Actual results:
gdm hangs, the system does not function properly

Expected results:
gdm should complete properly.

Additional info:
Comment 1 Maxwell Bottiger 2008-05-01 22:17:47 EDT
I saw this problem as well, but my system hung at "Starting System Message Bus."
 Only after 10 minutes or so would it continue to boot and finally reach gdm. 
After that, my problems were the same.
Comment 2 Normand Robert 2008-05-21 12:23:16 EDT
Also verified bug in F8 on nis system with 1600+ users. Adding comments here as

Behaviour in F8

ypcat passwd | wc
   1673    3603  115752

grep gdm  /F8_root/var/log/messages | tail -8
May 21 10:50:47 panda kernel: gdmgreeter[4398]: segfault at 74207372 eip
08058ddc esp bfd39c50 error 4
May 21 10:51:00 panda kernel: gdmgreeter[4432]: segfault at 74207372 eip
08058ddc esp bfd0a420 error 4
May 21 10:51:12 panda kernel: gdmgreeter[4466]: segfault at 74207372 eip
08058ddc esp bf81ef30 error 4
May 21 10:51:24 panda kernel: gdmgreeter[4495]: segfault at 74207372 eip
08058ddc esp bf958070 error 4
May 21 10:51:37 panda kernel: gdmgreeter[4524]: segfault at 74207372 eip
08058ddc esp bf874780 error 4
May 21 10:51:49 panda kernel: gdmgreeter[4550]: segfault at 74207372 eip
08058ddc esp bf891fa0 error 4
May 21 10:52:03 panda kernel: gdmgreeter[4576]: segfault at 74207372 eip
08058ddc esp bfab71d0 error 4
May 21 10:52:08 panda gdm-binary[2705]: WARNING: The display server has been
shut down about 6 times in the last 90 seconds. It is likely that something bad
is going on.  Waiting for 2 minutes before trying again on display :0.

Problem occured after going from 1:2.20.3-1.fc8.i386 to 1:2.20.5-1.fc8.i386

grep gdm /F8_root/var/log/yum.log*
/F8_root/var/log/yum.log:May 12 14:10:28 Updated: gdm - 1:2.20.5-1.fc8.i386
/F8_root/var/log/yum.log-20080227:Feb 14 13:04:08 Updated: gdm - 1:2.20.3-1.fc8.i386
Comment 3 Normand Robert 2008-05-21 14:22:33 EDT

Method 1. Change system setting to non graphical login and start X manually.

Method 2. Downgrade gdm package to ealrlier version

# Choose method 1 or 2

# Method 1
# Login as root in between gdm failures (every ~two minutes)
# Change run level in /etc/inittab to 3 and reboot.

# Login and start X manually everytime. Most features work this way.
# I only had problems with remote filesystem requiring keyrings.


# Remember to also log out from the shell upon exit.

# Method 2 less kludgy?

# Downgrade gdm package to version without problem. Note it is possible
# that a later version than I used also works:

# Remove newish gdm

yum erase gdm

# Get oldish  rpms

# Install locally

yum localinstall gdm-2.20.1-5.fc8.i386.rpm

# Get yum-versionlock
yum install yum-versionlock

# Enable yum versionlock plugin by editing 
# /etc/yum/pluginconf.d/versionlock.conf and changing enabled to "1"

# Protect gdm package from future yum updates by adding rpm name in list:

rpm -qa |grep gdm-2. >>  /etc/yum/pluginconf.d/versionlock.list

# You can now update the system using yum without overwriting gdm. 
# Remove entry in q/etc/yum/pluginconf.d/versionlock.list once gdm version 
# with fix is released.

Comment 4 cje 2008-08-13 14:27:09 EDT
can confirm still fails in F9. gdm-2.22.0-8.fc9.i386

surely it's not too tricky to get gdm/NM to attempt to fire up a network interface if we're using LDAP or whatever?

presumably it'd be nice to have some sort of UI to inform the user if there's no network available and no local or caches user accounts to use.

i'm pretty sure "create home directory for new user" isn't working either but i doubt it's gdm doing that.
Comment 5 Ray Strode [halfline] 2008-08-13 16:08:33 EDT
this is hard to fix because the greeter is running under a different policy context than the user and the contexts switch midway through login (the user may not have access to the same networks as gdm and vice versa, so when the login starts the connection gets cut)

The only reasonable way to fix that is nm system connections
Comment 6 cje 2008-08-14 20:52:58 EDT
"when the login starts the connection gets cut"

that's fine.  we only need a network running for the authentication.  we can change networks (or even drop network connectivity) once that's happened - which should be before the login (well, i assume you mean the session) starts.

obviously a little NM status icon on the gdm screen would be nice and it's possible gdm can't connect to the necessary network anyway (e.g. a WEP network where the WEP key is in the user's keyring - in which case "nm system connections" would be needed) but if it just works in situations where a NM default connection (wired or open networks) is enough then that'd be a massive improvement for little (i hope) cost.

(btw, the home directories problem was selinux and there's another bug for that.)
Comment 7 Bug Zapper 2008-11-26 03:28:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 00:13:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.